#!/bin/bash
set -aex

export LANG=en_US.UTF-8
export PATH="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin"
unset -v LANGUAGE

working_dir=${working_dir:-"/mnt/lvraid5/ffmpeg-cut-list.d"}
error_log=${error_log:-"user-job-$(date +'%Y-%m-%d-%H%M').err"}
outpt_log=${error_log/err/log}
debug=${debug:-"eval ionice -c 3 "}
ffmpeg_myth_scm=${ffmpeg_myth_scm:-"/usr/local/bin/ffmpeg-myth.scm"}
job=${job:-"ffmpeg-myth-do-pending-jobs 4"}

cmd="$ffmpeg_myth_scm $job"

(cd "$working_dir" && printenv && $debug $cmd) >> $working_dir/$outpt_log 2>> $working_dir/$error_log

